Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.6   

Resolution: Fixed Affected version:  

Description

This problem was reported as a part of #12955 by Daniel Felix five years ago. I confirmed that the latest versions of Redmine (3.4

and trunk) are still affected.

The helper for the estimated time doesn't check the correctness of the string. For example, you can define hours by 2h30m to

get 2.5 or 3h5m to get 3.08 as timevalue. But if you enter abc or 3j (misstyped) the string isn't checked. The issue just returns

"update successfully" and sets the estimated time to nil. The string should be checked and should raise some error, if the input

isn't correct.

Related issues:

Related to Redmine - Defect #12955: Misbehaviour in estimated time validation Closed

Related to Redmine - Defect #2465: Spent time error Closed 2009-01-08

Associated revisions

Revision 17144 - 2018-01-07 22:41 - Jean-Philippe Lang

No validation errors when entering an invalid "Estimate hours" value (#27881).

Patch by Go MAEDA.

Revision 17145 - 2018-01-07 22:43 - Jean-Philippe Lang

Merged r17144 to 3.4-stable (#27881).

Revision 17146 - 2018-01-07 22:43 - Jean-Philippe Lang

Merged r17144 to 3.3-stable (#27881).

History

#1 - 2018-01-03 08:37 - Go MAEDA

- Related to Defect #12955: Misbehaviour in estimated time validation added

#2 - 2018-01-03 09:05 - Go MAEDA

I found a very similar fix r2251 (#2465). The following workaround should work.

Index: app/models/issue.rb

===================================================================

--- app/models/issue.rb    (revision 17140)

+++ app/models/issue.rb    (working copy)

@@ -440,7 +440,7 @@

   end

   def estimated_hours=(h)

-    write_attribute :estimated_hours, (h.is_a?(String) ? h.to_hours : h)

+    write_attribute :estimated_hours, (h.is_a?(String) ? (h.to_hours || h) : h)

   end

   safe_attributes 'project_id',

#3 - 2018-01-03 09:06 - Go MAEDA
https://www.redmine.org/issues/12955
www.redmine.org/users/61731
https://www.redmine.org/projects/redmine/repository/svn/revisions/2251
https://www.redmine.org/issues/2465


- Related to Defect #2465: Spent time error added

#4 - 2018-01-03 09:27 - Go MAEDA

- File fix-27881.diff added

- Target version set to 3.3.6

Attaching a patch file. Setting target version to 3.3.6.

#5 - 2018-01-07 22:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Committed, thanks.

Files

fix-27881.diff 947 Bytes 2018-01-03 Go MAEDA
